1. Assets
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
        • Accept a trading quote
      • Portfolio
        • Get portfolio overview
        • Get portfolio performance history
      • Operations
        • List operations
      • Currencies
        • List available currencies
      • Assets
        • List available assets
          GET
      • Earn
        • Execute an earn action (stake or unstake)
        • List earn asset configurations
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
        • Set daily trading volume limits for this API key
      • Margin
        • Get the leverage multipliers currently allowed for margin trading an asset
      • Crypto Networks
        • Get the blockchain networks supported for depositing and withdrawing a crypto asset
  • MCP Server
    • Getting Started
    • Tools
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Assets

List available assets

GET
/v1/assets

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.public.bitpanda.com/v1/assets?cursor=b86c034b-efe3-11eb-b56f-0691764446a7&page_size=25&isin=US5949181045&type=CRYPTO&group=CRYPTOCOIN&symbol=BTC&id=b86c034b-efe3-11eb-b56f-0691764446a7%2C1f0f13b6-8630-6a24-b2e4-859c8eda3240'

Responses

🟢200OK
*/*
Paginated list of available assets
Body*/*

Example
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "symbol": "string",
            "isin": "string",
            "group": "string",
            "type": "string",
            "buy_active": true,
            "sell_active": true,
            "withdrawal_active": true,
            "deposit_active": true
        }
    ],
    "self_cursor": "string",
    "next_cursor": "string",
    "has_next_page": true
}
🟠400
🔴500
Modified at 2026-09-23 07:30:24
Previous
List available currencies
Next
Execute an earn action (stake or unstake)
Built with